Subject: Sophora seeds

From: [email-masked] (ANNE KNOX)
Date: 20 Mar 1995 09:24:18 -0800

I recently came across a tree in Arizona at a time when I didn't have any key
with me.  I know that it was a Sophora, but the ref. book I have for Arizona    says that Sophora species are herbaceous or shrubby, and this was a 15 foot tree.  It has red seeds, so it could be arizonica - any ideas?  Also, I have 4 seedsof this tree.  I started one by soaking in warm water for a couple of hours, but so far no luck.  I don't want to waste the other three - does anyone have any  suggestions?
	Thanks for any info,
	
	Anne Knox    [email-masked]